<?php

///////////////////////////////////////////////////////////////////////////
// (C) Bigfilm.tv
// Version 0.0.1
/////////////////////////////////////////////////////////////////////////// 

require_once 'lib/abstract_controls_screen.php';

class BigFilmLoginScreen extends AbstractControlsScreen
{
    const ID = 'setup';

    public function __construct() {
        parent::__construct(self::ID);
    }

    public function do_get_control_defs(&$plugin_cookies) {
        $defs = array();
        
	$this->add_label($defs, 'Версия плагина:', "0.0.1");
	$this->add_label($defs, 'Информация:', "Для дальнейшей работы вам ");
	$this->add_label($defs, '',            "необходимо обновить плагин BigFilm.");
	$this->add_label($defs, '',            "Нажмите кнопку 'Перезапустить' и снова");
	$this->add_label($defs, '',            "запустите плагин BigFilm снова для обновления.");
        $this->add_button ($defs, 'reset', null, 'Перезапустить', 400);
        
        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies) {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        if (!isset($user_input->control_id)) {
		return ActionFactory::show_dialog('Обновите плагин', $this->do_get_control_defs($plugin_cookies), true);
	        
        } else if ($user_input->action_type == 'confirm' || $user_input->action_type == 'apply' ) {
        
            if($user_input->control_id === 'reset'){
            	shell_exec('killall shell');
            }
            	
        }

        return ActionFactory::reset_controls ($this->do_get_control_defs($plugin_cookies));
    }
}